Index: wsdl/fedd.wsdl
===================================================================
--- wsdl/fedd.wsdl	(revision 5b74b6303e37a36fa075228a647fcae696e3cbf6)
+++ wsdl/fedd.wsdl	(revision 2761484680c5609adfc4d1acb82a927b3f339e07)
@@ -108,4 +108,19 @@
   </message>
 
+  <message name="SetValueRequestMessage">
+    <part name="SetValueRequestBody" type="xsd1:setValueRequestType"/>
+  </message>
+
+  <message name="SetValueResponseMessage">
+    <part name="SetValueResponseBody" type="xsd1:setValueResponseType"/>
+  </message>
+
+  <message name="GetValueRequestMessage">
+    <part name="GetValueRequestBody" type="xsd1:getValueRequestType"/>
+  </message>
+
+  <message name="GetValueResponseMessage">
+    <part name="GetValueResponseBody" type="xsd1:getValueResponseType"/>
+  </message>
 
   <message name="FaultMessage">
@@ -225,4 +240,22 @@
       <fault name="TerminateSegmentFeddFault" message="tns:FaultMessage"/>
     </operation>
+
+    <operation name="SetValue">
+      <documentation>
+	Set a shared value 
+      </documentation>
+      <input message="tns:SetValueRequestMessage"/>
+      <output message="tns:SetValueResponseMessage"/>
+      <fault name="TerminateSegmentFeddFault" message="tns:FaultMessage"/>
+    </operation>
+
+    <operation name="GetValue">
+      <documentation>
+	Get a shared value
+      </documentation>
+      <input message="tns:GetValueRequestMessage"/>
+      <output message="tns:GetValueResponseMessage"/>
+      <fault name="TerminateSegmentFeddFault" message="tns:FaultMessage"/>
+    </operation>
   </portType>
 
@@ -462,4 +495,46 @@
 	</output>
 	<fault name="TerminateSegmentFeddFault">
+	  <soap:fault use="literal"  name="tns:FeddFault"
+	    namespace="http://www.isi.edu/faber/fedd.wsdl"
+	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
+	</fault>
+      </operation>
+      <operation name="SetValue">
+	<documentation>
+	  The bindings of this operation are straightforward SOAP RPC 1.1.
+	</documentation>
+	<soap:operation soapAction="TerminateSegment"/> 
+	<input>
+	  <soap:body use="literal" parts="tns:SetValueRequestBody"
+	    namespace="http://www.isi.edu/faber/fedd.wsdl"
+	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
+	</input>
+	<output>
+	  <soap:body use="literal" parts="tns:SetValueResponseBody"
+	    namespace="http://www.isi.edu/faber/fedd.wsdl"
+	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
+	</output>
+	<fault name="SetValueFeddFault">
+	  <soap:fault use="literal"  name="tns:FeddFault"
+	    namespace="http://www.isi.edu/faber/fedd.wsdl"
+	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
+	</fault>
+      </operation>
+      <operation name="GetValue">
+	<documentation>
+	  The bindings of this operation are straightforward SOAP RPC 1.1.
+	</documentation>
+	<soap:operation soapAction="TerminateSegment"/> 
+	<input>
+	  <soap:body use="literal" parts="tns:GetValueRequestBody"
+	    namespace="http://www.isi.edu/faber/fedd.wsdl"
+	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
+	</input>
+	<output>
+	  <soap:body use="literal" parts="tns:GetValueResponseBody"
+	    namespace="http://www.isi.edu/faber/fedd.wsdl"
+	    encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"/>
+	</output>
+	<fault name="GetValueFeddFault">
 	  <soap:fault use="literal"  name="tns:FeddFault"
 	    namespace="http://www.isi.edu/faber/fedd.wsdl"
Index: wsdl/fedd_types.xsd
===================================================================
--- wsdl/fedd_types.xsd	(revision 5b74b6303e37a36fa075228a647fcae696e3cbf6)
+++ wsdl/fedd_types.xsd	(revision 2761484680c5609adfc4d1acb82a927b3f339e07)
@@ -368,4 +368,34 @@
   </xsd:complexType>
 
+  <xsd:simpleType name="connectionParameterIOType">
+    <xsd:annotation>
+      <xsd:documentation>
+	Connection parameter types: input or output
+      </xsd:documentation>
+    </xsd:annotation>
+    <xsd:restriction base="xsd:string">
+      <xsd:enumeration value="input"/>
+      <xsd:enumeration value="output"/>
+    </xsd:restriction>
+  </xsd:simpleType>
+
+  <xsd:complexType name="connectionParameterType">
+    <xsd:annotation>
+      <xsd:documentation>
+	This is a parameter on which two or more access controllers have to
+	agree in order to complete the stitching.  This gives the name of the
+	parameter, the key under which to store it (or it has been stored)  and
+	whether it is to be input or output.
+      </xsd:documentation>
+    </xsd:annotation>
+    <xsd:sequence>
+      <xsd:element name="name" type="xsd:string"/>
+      <xsd:element name="key" type="xsd:string"/>
+      <xsd:element name="store" type="xsd:string"/>
+      <xsd:element name="type" type="tns:connectionParameterIOType"/>
+    </xsd:sequence>
+  </xsd:complexType>
+
+
   <xsd:complexType name="connectionInfoType">
     <xsd:annotation>
@@ -384,4 +414,6 @@
       <xsd:element name="fedAttr" type="tns:fedAttrType" minOccurs="0"
 	maxOccurs="unbounded"/>
+      <xsd:element name="parameter" type="tns:connectionParameterType"
+	minOccurs="0" maxOccurs="unbounded"/>
     </xsd:sequence>
   </xsd:complexType>
@@ -820,4 +852,51 @@
   </xsd:complexType>
 
+  <xsd:complexType name="setValueRequestType">
+    <xsd:annotation>
+      <xsd:documentation>
+	Request to set a shared value.
+      </xsd:documentation>
+    </xsd:annotation>
+    <xsd:sequence>
+      <xsd:element name="name" type="xsd:string"/> 
+      <xsd:element name="value" type="xsd:string"/> 
+    </xsd:sequence>
+  </xsd:complexType>
+
+  <xsd:complexType name="setValueResponseType">
+    <xsd:annotation>
+      <xsd:documentation>
+	Request to set a shared value.
+      </xsd:documentation>
+    </xsd:annotation>
+    <xsd:sequence>
+      <xsd:element name="name" type="xsd:string"/> 
+      <xsd:element name="value" type="xsd:string"/> 
+    </xsd:sequence>
+  </xsd:complexType>
+
+  <xsd:complexType name="getValueRequestType">
+    <xsd:annotation>
+      <xsd:documentation>
+	Request to set a shared value.
+      </xsd:documentation>
+    </xsd:annotation>
+    <xsd:sequence>
+      <xsd:element name="name" type="xsd:string"/> 
+      <xsd:element name="wait" type="xsd:boolean"/> 
+    </xsd:sequence>
+  </xsd:complexType>
+
+  <xsd:complexType name="getValueResponseType">
+    <xsd:annotation>
+      <xsd:documentation>
+	Request to set a shared value.
+      </xsd:documentation>
+    </xsd:annotation>
+    <xsd:sequence>
+      <xsd:element name="name" type="xsd:string"/> 
+      <xsd:element name="value" type="xsd:string" minOccurs="0" maxOccurs="1"/> 
+    </xsd:sequence>
+  </xsd:complexType>
 
   <xsd:complexType name="faultType">
